export function getFindByHeadcodePipeline(query: any) {
  return [
    {
      $match: query,
    },
    {
      $project: {
        operator: 1,
        stops: {
          $concatArrays: [
            [{ $first: "$stops" }],
            [{ $arrayElemAt: ["$stops", -1] }],
          ],
        },
        trainUid: 1,
        stpIndicator: 1,
      },
    },
  ];
}

export function getFindByTrainUidPipeline(query: any) {
  return [
    {
      $match: query,
    },
    { $project: { _id: 0 } },
  ];
}
