import type {
  StaffLdb,
  NrccMessage,
  TrainServices,
  ServiceLocation,
} from "@owlboard/ts-types";

export const outputs: StaffLdb[] = [
  {
    generatedAt: expect.any(Date),
    locationName: "Railway Station",
    stationManagerCode: "RT",
    nrccMessages: [
      {
        severity: "minor",
        xhtmlMessage: "Minor Alert",
      },
    ],
    trainServices: [
      {
        rid: "202308017159276",
        uid: "G59276",
        trainid: "1M83",
        operatorCode: "XC",
        sta: expect.any(Date),
        ata: expect.any(Date),
        arrivalType: "Actual",
        std: expect.any(Date),
        etd: "RT",
        departureType: "Estimated",
        platform: "5",
        length: 10,
        origin: [
          {
            tiploc: "PLYMTH",
          },
        ],
        destination: [
          {
            tiploc: "BHAMNWS",
          },
        ],
      },
    ],
    busServices: [],
    ferryServices: [],
  },
  {
    generatedAt: expect.any(Date),
    locationName: "Railway Station",
    stationManagerCode: "RT",
    trainServices: [
      {
        rid: "202308017159276",
        uid: "G59276",
        trainid: "1M83",
        operatorCode: "XC",
        sta: expect.any(Date),
        ata: expect.any(Date),
        arrivalType: "Actual",
        std: expect.any(Date),
        etd: "RT",
        departureType: "Estimated",
        platform: "5",
        length: 10,
        origin: [
          {
            tiploc: "PLYMTH",
          },
        ],
        destination: [
          {
            tiploc: "BHAMNWS",
          },
        ],
      },
    ],
    busServices: [],
    ferryServices: [],
  },
];
