import type { TrainServices } from "@owlboard/ts-types";

export const noLength: any = {
  rid: "202308058004480",
  uid: "P04480",
  trainid: "1A39",
  sdd: "2023-08-05",
  operator: "Great Western Railway",
  operatorCode: "GW",
  sta: "2023-08-05T21:51:00",
  eta: "2023-08-05T23:04:18",
  arrivalType: "Forecast",
  std: "2023-08-05T22:00:00",
  etd: "2023-08-05T23:05:18",
  departureType: "Forecast",
  departureSource: "Darwin",
  platform: "7",
  origin: {
    location: {
      locationName: "Penzance",
      crs: "PNZ",
      tiploc: "PENZNCE",
    },
  },
  destination: {
    location: {
      locationName: "London Paddington",
      crs: "PAD",
      tiploc: "PADTON",
    },
  },
  delayReason: "887",
  category: "XX",
  activities: "T",
};

export const trainServices: any[] = [
  {
    rid: "202308058005927",
    uid: "P05927",
    trainid: "2T53",
    sdd: "2023-08-05",
    operator: "Great Western Railway",
    operatorCode: "GW",
    sta: "2023-08-05T19:52:00",
    eta: "2023-08-05T19:52:00",
    arrivalType: "Forecast",
    std: "2023-08-05T19:56:00",
    etd: "2023-08-05T19:56:00",
    departureType: "Forecast",
    departureSource: "Darwin",
    platform: "2",
    formation: {
      coaches: {
        coach: [
          { coachClass: "Standard" },
          { coachClass: "Standard" },
          { coachClass: "Standard" },
          { coachClass: "Standard" },
        ],
      },
    },
    origin: {
      location: {
        locationName: "Worcester Foregate Street",
        crs: "WOF",
        tiploc: "WORCSFS",
      },
    },
    destination: {
      location: {
        locationName: "Bristol Temple Meads",
        crs: "BRI",
        tiploc: "BRSTLTM",
        via: "via Gloucester",
      },
    },
    category: "OO",
    activities: "T",
  },
  {
    rid: "202308057126314",
    uid: "G26314",
    trainid: "2V88",
    sdd: "2023-08-05",
    operator: "West Midlands Trains",
    operatorCode: "LM",
    sta: "2023-08-05T18:28:00",
    eta: "2023-08-05T18:28:00",
    arrivalType: "Forecast",
    std: "2023-08-05T18:33:00",
    etd: "2023-08-05T18:33:00",
    departureType: "Forecast",
    departureSource: "Darwin",
    platform: "2",
    formation: {
      coaches: {
        coach: [
          { coachClass: "Standard" },
          { coachClass: "Standard", toilet: "Accessible" },
          { coachClass: "Standard" },
          { coachClass: "Standard", toilet: "Accessible" },
        ],
      },
    },
    origin: {
      location: { locationName: "Dorridge", crs: "DDG", tiploc: "DORIDGE" },
    },
    destination: {
      location: {
        locationName: "Worcester Foregate Street",
        crs: "WOF",
        tiploc: "WORCSFS",
      },
    },
    category: "OO",
    activities: "T RM",
    length: "4",
  },
  {
    rid: "202308057126318",
    uid: "G26318",
    trainid: "2V96",
    sdd: "2023-08-05",
    operator: "West Midlands Trains",
    operatorCode: "LM",
    sta: "2023-08-05T19:28:00",
    eta: "2023-08-05T19:28:00",
    arrivalType: "Forecast",
    std: "2023-08-05T19:33:00",
    etd: "2023-08-05T19:33:00",
    departureType: "Forecast",
    departureSource: "Darwin",
    platform: "2",
    origin: {
      location: { locationName: "Dorridge", crs: "DDG", tiploc: "DORIDGE" },
    },
    destination: {
      location: {
        locationName: "Worcester Foregate Street",
        crs: "WOF",
        tiploc: "WORCSFS",
      },
    },
    category: "OO",
    activities: "T RM",
    length: "4",
  },
];
