import { query } from "./dbAccess.services";
import { logger } from "../utils/logger.utils";

async function getStations() {
  var out = query("stations");
  logger.debug("listServices.getStations: Fetching stations list");
  return await out;
}

async function getCorpus() {
  var out = query("corpus");
  logger.debug("listServices.getCorpus: Fetching CORPUS list");
  return await out;
}

module.exports = {
  getStations,
  getCorpus,
};
