import type { Response } from "express"

export function setCache(res: Response, type="private", time=120): void {
  if (type === "no-store") {
    res.setHeader('Cache-Control', 'no-store')
    return
  }
  res.setHeader('Cache-Control', `${type}, max-age=${time}`)
}